VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vapi::Metadata::Authentication::PackageInfo Class Reference
Inheritance diagram for Com::Vmware::Vapi::Metadata::Authentication::PackageInfo:

## Avaliable Methods
public method | set_services ()
public method | set_schemes ()
public method | get_services ()
public method | new ()
public method | get_schemes ()

## Detailed Description

The `Com::Vmware::Vapi::Metadata::Authentication::PackageInfo` class contains authentication information of a package element.

For an explanation of authentication information contained within package elements, see class Com::Vmware::Vapi::Metadata::Authentication::Package .

## Member Function Documentation

public method Com::Vmware::Vapi::Metadata::Authentication::PackageInfo::get_schemes | ( |  | ) |

Gets the value of 'schemes' property.

Return values

  schemes | - The current value of the field. List of authentication schemes to be used for all the operation elements contained in this package element. If a particular service or operation element has no explicit authentications defined in the authentication defintion file, these authentication schemes are used for authenticating the user. List#

Code:
click to view
# Number of lines of code in get_schemes: 4
sub get_schemes {
my ($self, %args) = @_;
return $self->{'schemes'};
}

public method Com::Vmware::Vapi::Metadata::Authentication::PackageInfo::get_services | ( |  | ) |

Gets the value of 'services' property.

Return values

  services | - The current value of the field. Information about all service elements contained in this package element that contain authentication information. The key in the map is the identifier of the service element and the value in the map is the authentication information for the service element.

For an explanation of authentication information containment within service elements, see class Com::Vmware::Vapi::Metadata::Authentication::Service .

Map#

Code:
click to view
# Number of lines of code in get_services: 4
sub get_services {
my ($self, %args) = @_;
return $self->{'services'};
}

public method Com::Vmware::Vapi::Metadata::Authentication::PackageInfo::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vapi::Metadata::Authentication::PackageInfo structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 18
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{schemes} = $args{'schemes'};
$self->{services} = $args{'services'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vapi::Metadata::Authentication::PackageInfo');
$self->set_binding_name('name' => 'com.vmware.vapi.metadata.authentication.package_info');
$self->set_binding_field('key' => 'schemes', 'value' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Metadata::Authentication', 'type_name' => 'AuthenticationInfo')));
$self->set_binding_field('key' => 'services', 'value' => new Com::Vmware::Vapi::Bindings::Type::MapType('binding_type' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::StructType('name' => 'map-entry', 'fields' => {'key' => new Com::Vmware::Vapi::Bindings::Type::StringType(), 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Metadata::Authentication', 'type_name' => 'ServiceInfo')}))));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vapi::Metadata::Authentication::PackageInfo::set_schemes | ( |  | ) |

Sets the given value for 'schemes' property.

Parameters

  schemes | - New value for the field. List of authentication schemes to be used for all the operation elements contained in this package element. If a particular service or operation element has no explicit authentications defined in the authentication defintion file, these authentication schemes are used for authenticating the user.

Code:
click to view
# Number of lines of code in set_schemes: 5
sub set_schemes {
my ($self, %args) = @_;
$self->{'schemes'} = $args{'schemes'};
return;
}

public method Com::Vmware::Vapi::Metadata::Authentication::PackageInfo::set_services | ( |  | ) |

Sets the given value for 'services' property.

Parameters

  services | - New value for the field. Information about all service elements contained in this package element that contain authentication information. The key in the map is the identifier of the service element and the value in the map is the authentication information for the service element.

For an explanation of authentication information containment within service elements, see class Com::Vmware::Vapi::Metadata::Authentication::Service .

Code:
click to view
# Number of lines of code in set_services: 5
sub set_services {
my ($self, %args) = @_;
$self->{'services'} = $args{'services'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vapi/Metadata/Authentication/PackageInfo.pm